# vytvoen hypertextovh odkaz na obrzky v textu dny.txt > dny.htm
#  pln adresy maj bt znaen obr.-adresar/jmeno,
#  ostatn s vlnovkou (zpracovan, obr.~jmeno) nebo podtrtkem (ilustran)

remblan $1

vlnka2 $1 >/dev/null

hr2par /e $1 /tmp/$1.par

sed -r '
 # putting the directory to the hold space
/([^-]|^)(spml04-12_[1-4]|pec200[45]_[1-5]|vit_spml05|jih_den|zaly_vit|spml04-02|noc_obr)([^/]|$)/{ 
    h 
    x 
    s/(.*)(spml04-12_[1-4]|pec200[45]_[1-5]|vit_spml05|jih_den|zaly_vit|spml04-02|noc_obr)(.*)/<A href="\2/ 
    x 
                     }   

 # making directory name a hypertext
      s@([^-]|^)(spml04-12_[1-4]|pec200[45]_[1-5]|vit_spml05|jih_den|zaly_vit|spml04-02|noc_obr)([^/]|$)@<A href="\2">\1\2\3</A>@ 

 # putting the directory name at the separate line, before a simple image name
/[oO]br\.[~_][0-9a-zA-Z_-]+/{      
      s/[oO]br\.[~_]/\
&/
    P

    x 
    P 
    x
      s|([oO]br)\.([~_])([0-9a-zA-Z_-]+\.png)|\
/\3">&</A>|g 

      s@([oO]br)\.([~_])([0-9a-zA-Z_-]+)([ ),;]|$|\.$|\.[^p])@\
/\3.jpg">\1.\2\3</A>\4@g 

}

 # hypertexting full dirname / full filename
      s@([oO]br)\.[-]((spml04-12_[1-4]|pec200[45]_[1-5]|vit_spml05|jih_den|zaly_vit|spml04-02|noc_obr)/[0-9a-zA-Z_-]+\.png)@<A href="\2">\1.-\2</A>@g 

 # hypertexting full dirname / jpg filename
      s@([oO]br)\.[-]((spml04-12_[1-4]|pec200[45]_[1-5]|vit_spml05|jih_den|zaly_vit|spml04-02|noc_obr)/[0-9a-zA-Z_-]+)@<A href="\2.jpg">\1.-\2</A>@g 

    '  /tmp/$1.par > /tmp/hyper2$1

 
 # deleting middle line and newlines      
sed -r '
 /^<A href="(spml04-12_[1-4]|pec200[45]_[1-5]|vit_spml05|jih_den|zaly_vit|spml04-02|noc_obr)$/ {
    N
    N
    N
    s/(.*)\n.*\n\n(.*)/\1\2/
                              }            
    ' /tmp/hyper2$1  > /tmp/hyper3$1
      
 # hypertexting second images on the original line      
sed -r '
 /^<A href="(spml04-12_[1-4]|pec200[45]_[1-5]|vit_spml05|jih_den|zaly_vit|spml04-02|noc_obr)\/[0-9a-zA-Z-]+/ {
    N
    s@(^<A href="(spml04-12_[1-4]|pec200[45]_[1-5]|vit_spml05|jih_den|zaly_vit|spml04-02|noc_obr))(.+)\n(^/[0-9a-zA-Z-])@\1\3\
\ \1\4@
                              }            
    ' /tmp/hyper3$1  > /tmp/hyper4$1

 # hypertexting third images on the original line, 
 # tags at both ends
 
sed -r '
1{i\
<HTML lang=cs>\
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">\

}
 
 /^ <A href="(spml04-12_[1-4]|pec200[45]_[1-5]|vit_spml05|jih_den|zaly_vit|spml04-02|noc_obr)\/[0-9]+/ {
    N
    s@(^ <A href="(spml04-12_[1-4]|pec200[45]_[1-5]|vit_spml05|jih_den|zaly_vit|spml04-02|noc_obr))(.+)\n(^/[0-9a-zA-Z-])@\1\3\
\ \ \1\4@
                              } 
 
 s/--/\&ndash;/g
 
 s/,,/\&bdquo;/g
 
 s/``/\&ldquo;/g
 
 s/''/\&rdquo;/g    			                  

${
a\
<p>\
 \
</HTML>
}

    ' /tmp/hyper4$1  >/tmp/hyper5$1 

sed -r '
  # appending lines with any images to hold space
    /<A href="(.+)\/[0-9a-z_-]+\./{ 
    H 
                                  }   

  s/([Oo]br\.)[-~_]/\1 /g 

 s/~/\&nbsp;/g 

  # when encountering a new paragraph, editing the hold space and printing it
 
   /^<p>/{		     
  x 
  /<A/{
# discarding emphasizes
 s@(<e|<b)@@g 
# discarding stuff between any </A> and <A> or end-of-line
 s@</A>[^<]+(<A|$)@</A> \1@g 
# discarding stuff before first <A>:
 s@^[^<]+<A>@<A>@g 
# single images: 
 s@(<A href=")([0-9a-zA-Z-_]+)/([0-9a-z_-]+)\.(jpg|png)">[Oo]br\.[-_][^<]+</A>@\1\2/\3.\4"><IMG src="\2/xvpics/\3.\4"></A> \&nbsp; @g
# images with a tree of computed results: 
 s@(<A href=")([0-9a-zA-Z-_]+)/([0-9a-z_-]+)\.(jpg)">[Oo]br\.~[^<]+</A>@\1\2/\3.\4">\
 <IMG src="\2/xvpics/\3.\4"></A> \1\2/\3.png"><IMG src="\2/xvpics/\3.png"></A> \&nbsp; @g
 s@</A>@&\
@g 
 p     } 
 x
 h 
      }
 ' /tmp/hyper5$1

    